// 钟兆立
//主要功能 js生成 各个模块的数据与布局
Namespace.register("U.ZX"); //广告命名空间
window.onload = function () {
    try {
        //U.ZX.onload_data();
        var a=U.ZX.qh_sj(e);
        if (a == "ok") { //加载成功后
            $('#index_content_right')[0].style.display = "block"; //加载成功后再显示数据
            $('#index_content_left')[0].style.display = "block";  //加载成功后再显示数据
            $('#index_content_header')[0].style.display = "block"; //加载成功后再显示数据
            for (var i = 0; i < 8; i++) {
                $('#' + 'bar_li' + i)[0].style.display = "block";  //加载成功后显示目录
            }
            document.getElementById("loding_div").style.display = "none";
            document.getElementById("error_page").style.display = "none";
        }
    } catch (e) {
    console.log(e)
        document.getElementById("error_page").style.display = "block";
        console.error("数据加载失败");
    }
}
//U.ZX.onload_data = function () {
//    U.CD.LIFA([["admin", "http://admin.1473.cn/index.htm", "AAjax"]], function () { //连接1473接口 获取数据
//        var a = U.ZX.qh_sj(e);  //执行获取数据的函数\
//        if (a == "ok") { //加载成功后
//            $('#index_content_right')[0].style.display = "block"; //加载成功后再显示数据
//            $('#index_content_left')[0].style.display = "block";  //加载成功后再显示数据
//            $('#index_content_header')[0].style.display = "block"; //加载成功后再显示数据
//            for (var i = 0; i < 8; i++) {
//                $('#' + 'bar_li' + i)[0].style.display = "block";  //加载成功后显示目录
//            }
//            $('#loding_div')[0].style.display = "none";  //加载中div删除
//            document.getElementById("error_page").style.display = "none";
//        }

//    });
//}

U.ZX.qh_sj = function () {
    var html_name = $('#title')[0].innerHTML;  //初始化所有模块内容
    $('#zy_content_center')[0].innerHTML = "";
    $('#index_content_center')[0].innerHTML = "";
    $('#byj_content_center')[0].innerHTML = "";
    $('#ftp_content_center')[0].innerHTML = "";
    $('#jzdiy_content_center')[0].innerHTML = "";
    $('#qmzj_content_center')[0].innerHTML = "";
    //获取到 这是 哪个页面 然后 获取 哪一段函数

    //运行生成函数  参数:页面名字
    U.ZX.build(html_name); //生成函数  html_name 是 当前在哪个页面的标识 //教学案例 index  作业 zy ....
    U.ZX.LessonPlan_build(html_name); //有思文化
    return 'ok';
}

//列出数组
U.ZX.arr = function (name) {
    if (name == "mb") {
        var jzdiy_mb = {
            0: { 'filename': 'word空模板', 'href': 'http://www.1473.cn' },  //建站DIV的模板
            1: { 'filename': 'web空模板', 'href': 'http://www.1473.cn' },
            2: { 'filename': '导航模板', 'href': 'http://www.1473.cn' },
            3: { 'filename': '企业模式', 'href': 'http://www.1473.cn' },
            4: { 'filename': '会议模式', 'href': 'http://www.1473.cn' },
            5: { 'filename': '大纲模式', 'href': 'http://www.1473.cn' }
        }
        return jzdiy_mb; //返回obj
    }
}


//生成函数
U.ZX.build = function (html_name) {
    var name = html_name; //当前在哪个页面的标识
    var i; //for循环
    var obj = U.ZX.arr(name);  //获取 模板obj

    //教学案例
    if (name == "index") { //如果当前页面在教学案例的话

        var index_zx_one; //定义一个变量
        if ($("#index_c_l_jafx")[0].innerHTML !== "") { //清除中间的数据 以免 重复生成
            $('#index_c_l_jafx')[0].innerHTML = "";
        }
        if ($('#' + name + '_c_l_jafx_title')[0] == null) {
            $$('div', { 'innerHTML': '教案资源分享', 'class': 'index_c_l_jafx_title', 'id': name + '_c_l_jafx_title' }, $('.index_c_l_jafx')[0]); ///清除左边数据 以免 重复生成
        }
        index_zx_one = U.A.Request(US.ADMINAUTH, (["GetFilesByTypeId",2, 1, 32])).value; //引用1473数据的接口 获取到一个为数组的数据
        for (var i = 0; i < index_zx_one.length; i++) {  //循环 将数组里的 obj 取出 
            // console.log(index_zx_one[i]);
            var all = index_zx_one[i].UserFilesName; //获取其 内容
            if (i < 27) {  //只提取26条
                if (i == 0 || i == 13 || i == 20) {  //0  13  20条要用另一种字体显示
                    if (i == 0) {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'index_c_center_left_one_two', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建数据div
                    }
                    else {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'index_c_center_left_one', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建数据div
                    }
                }
                else {
                    if (i == 1 || i == 3 || i == 5 || i == 7 || i == 9 || i == 11 || i == 14 || i == 16 || i == 18 || i == 21 || i == 23 || i == 25) {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'index_c_center_left_li_l', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建数据div
                    }
                    else {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'index_c_center_left_li', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建数据div
                    }
                }
            }
            if (26 < i && i < 31) { //案例数据 值生成 4条
                var en = ""; //创建一个空变量
                var imgurl = ""; //创建一个空变量
                var headerimg = index_zx_one[i].UserThumbnailImageHead; //定义一个 变量为 obj里的 头像
                if (headerimg !== null) {  //获取 头像格式 jpg/png
                    var l = headerimg[headerimg.length - 3] + headerimg[headerimg.length - 2] + headerimg[headerimg.length - 1];
                }
                if (headerimg == "" || headerimg == null || l !== 'jpg' && l !== 'png') {
                    imgurl = "img/null.png";
                }      //如果获取到的用户的 头像为空的话 就使用 一个  指定图片
                else {
                    imgurl = 'http://fs.1473.cn/' + headerimg;
                }
                switch (parseInt(i - 27)) {  //为了生成的 div 不是同一个 id  或者 class  有swicth  生成 4个变量
                    case 0: en = "one"; break;
                    case 1: en = "two"; break;
                    case 2: en = "three"; break;
                    case 3: en = "four"; break;
                }
                var div_img = $$('div', { 'class': 'ftp_c_l_ja_' + en, onclick: [e, (['disk', index_zx_one[i]])] }, $('.index_c_l_jafx')[0]) //生成 div
                $$('img', { "src": imgurl }, div_img);  //生成头像
                $$('div', { "class": "c_l_img_title", "innerHTML": all }, div_img); //生成文件名
                $$('div', { "class": "c_l_img_title_t", "innerHTML": index_zx_one[i].UserName }, div_img); //生成 用户名
                $$('div', { "class": "ck_div", "innerHTML": "查看" }, div_img) //生成右边的 查看 二字div
            }
        }
        var most = $$('div', { 'class': 'most_al', 'innerHTML': '更多教案', onclick: [e, (['disk', index_zx_one[i]])] }, $('.index_c_l_jafx')[0]) //下面的更多案例生成
    }

    //作业
    if (name == "zy") { //如果当前页面是zy的话
        var index_zx_one; //创建个变量
        if ($("#" + name + "_c_l_jafx")[0].innerHTML !== "") { //初始化 中间 以免重复生成
            $('#' + name + '_c_l_jafx')[0].innerHTML = ""; //清空
        }
        if ($('#' + name + '_c_l_jafx_title')[0] == null) { //初始化 左边 以免重复生成
            $$('div', { 'innerHTML': '作业资源分享', 'class': 'zy_c_l_jafx_title', 'id': name + '_c_l_jafx_title' }, $('.' + name + '_c_l_jafx')[0]); //删除
        }
        index_zx_one = U.A.Request(US.ADMINAUTH, (["GetFilesByTypeId", 3, 1, 31])).value; //利用 1473接口 获取 数据
        for (var i = 0; i < index_zx_one.length; i++) { //for 循环 将Array 里的每个object  取出来
            // console.log(index_zx_one[i]);
            var all = index_zx_one[i].UserFilesName; //获取 object 中的 UserFilesName
            if (i < 27) {  //只提取 26条
                if (i == 0 || i == 13 || i == 20) { // 0  13  20css样式不一样
                    if (i == 0) {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'zy_c_center_left_one_two', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建DIV
                    }
                    else {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'zy_c_center_left_one', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建DIV
                    }
                }
                else {
                    if (i == 1 || i == 3 || i == 5 || i == 7 || i == 9 || i == 11 || i == 14 || i == 16 || i == 18 || i == 21 || i == 23 || i == 25) {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'zy_c_center_left_li_l', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建DIV
                    }
                    else {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'zy_c_center_left_li', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建DIV
                    }
                }
            }
            if (i > 26 && i < 31) { //作业 左边的 四条数据
                var en = ""; //创建变量
                var imgurl = ""; //创建变量
                var headerimg = index_zx_one[i].UserThumbnailImageHead;  //获取  object 里的 UserThumbnailImageHead
                if (headerimg !== null) { //判断 UserThumbnailImageHead 图片的格式
                    var l = headerimg[headerimg.length - 3] + headerimg[headerimg.length - 2] + headerimg[headerimg.length - 1];
                }
                if (headerimg == "" || headerimg == null || l !== 'jpg' && l !== 'png') {  //如果 图片是空 或者不是jpg  png 图片的时候 无法正常显示
                    imgurl = "img/null.png"; //利用自己的图片
                }
                else {
                    imgurl = 'http://fs.1473.cn/' + headerimg; //否则用 头像
                }
                switch (parseInt(i - 27)) { //为了防止 class  id  重复 利用switch
                    case 0: en = "one"; break;
                    case 1: en = "two"; break;
                    case 2: en = "three"; break;
                    case 3: en = "four"; break;
                }
                var div_img = $$('div', { 'class': 'ftp_c_l_ja_' + en, onclick: [e, (['disk', index_zx_one[i]])] }, $('.' + name + '_c_l_jafx')) //创建div
                $$('img', { "src": imgurl }, div_img); //创建头像
                $$('div', { "class": "c_l_img_title", "innerHTML": all }, div_img); //创建标题
                $$('div', { "class": "c_l_img_title_t", "innerHTML": index_zx_one[i].UserName }, div_img); //创建 用户名
                $$('div', { "class": "ck_div", "innerHTML": "查看" }, div_img) //创建 查看
            }
        }
        var most = $$('div', { 'class': 'most_al', 'innerHTML': '更多作业', onclick: [e, (['disk', index_zx_one[i]])] }, $('.' + name + '_c_l_jafx')) //更多作业的按钮
    }

    //毕业季
    if (name == "byj") { //如果  当前页面是 byj 
        var index_zx_one; //创建变量
        if (document.getElementById('byj_content_left').children.length !== 0) { //初始化 中间部分的数据
            document.getElementById('byj_content_left').innerHTML = ""; //清空
        }
        index_zx_one = U.A.Request(US.ADMINAUTH,(["GetFilesByTypeId",4, 1, 30])).value; //利用 1473接口 获取 数据
        for (var i = 0; i < index_zx_one.length; i++) { //for 循环 将Array 里的每个object  取出来
            // console.log(index_zx_one[i]);
            var all = index_zx_one[i].UserFilesName; //获取 object 中的 UserFilesName
            if (i < 3) { //提取前三条数据 生成在左边  三张图片
                var name = html_name; //创建 变量
                var byj_ = U.ZX.LessonPlan_arr(name);
                var _ie = $$('div', { 'class': 'byj_left_photo_div', 'id': i + '_left_photo_div', onclick: [e, (['disk', index_zx_one[i]])] }, $('.byj_content_left')[0]); //创建div
                $$('img', { 'src': 'http://fs.1473.cn/' + index_zx_one[i].UserFilesServerName }, _ie); //创建 img
                $$('div', { 'innerHTML': index_zx_one[i].UserFilesName }, _ie); //创建下面那个灰色的div
            }
            if (i < 27) { //只提取26条数据
                if (i == 0 || i == 13 || i == 20) { //0 13 20条的css样式分开 不一样
                    if (i == 0) {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'byj_c_center_left_one_two', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                    else {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'byj_c_center_left_one', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                }
                else {
                    if (i == 1 || i == 3 || i == 5 || i == 7 || i == 9 || i == 11 || i == 14 || i == 16 || i == 18 || i == 21 || i == 23 || i == 25) {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'byj_c_center_left_li_l', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                    else {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'byj_c_center_left_li', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                }
            }

        }
    }

    //FTP共享
    if (name == "ftp") { //如果当前页面是 ftp 的话
        var index_zx_one; //创建变量
        if ($("#" + name + "_c_l_jafx")[0].innerHTML !== "") {//初始化 中部数据与模块
            $('#' + name + '_c_l_jafx')[0].innerHTML = ""; //清空
        }
        if ($('#' + name + '_c_l_jafx_title')[0] == null) { //初始化 左边数据
            $$('div', { 'innerHTML': 'ftp资源分享', 'class': 'ftp_c_l_jafx_title', 'id': name + '_c_l_jafx_title' }, $('.' + name + '_c_l_jafx')[0]); //清除
        }
        index_zx_one = U.A.Request(US.ADMINAUTH,(["GetFilesByTypeId",5, 1, 31])).value; //利用 1473接口 获取数据
        for (var i = 0; i < index_zx_one.length; i++) { //for 循环 将Array 里的每个object  取出来
            // console.log(index_zx_one[i]);
            var all = index_zx_one[i].UserFilesName; //获取 object 中的 UserFilesName
            if (i < 27) { //只提取 26条数据
                if (i == 0 || i == 13 || i == 20) {  //0 13 20条 数据用的 css 分开 不一样
                    if (i == 0) {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'ftp_c_center_left_one_two', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                    else {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'ftp_c_center_left_one', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                }
                else {
                    if (i == 1 || i == 3 || i == 5 || i == 7 || i == 9 || i == 11 || i == 14 || i == 16 || i == 18 || i == 21 || i == 23 || i == 25) {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'ftp_c_center_left_li_l', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                    else {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'ftp_c_center_left_li', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                }
            }
            if (i > 26 && i < 31) { //提取 4条数据 放在左边
                var en = ""; //创建变量
                var imgurl = ""; //创建 变量
                var headerimg = index_zx_one[i].UserThumbnailImageHead; //获取 object 里的 UserThumbnailImageHead
                if (headerimg !== null) { //判断头像的 格式
                    var l = headerimg[headerimg.length - 3] + headerimg[headerimg.length - 2] + headerimg[headerimg.length - 1]; //后三位
                }
                if (headerimg == "" || headerimg == null || l !== 'jpg' && l !== 'png') { //如果 是空或者 不是 正常格式 
                    imgurl = "img/null.png"; //就用自己的 图片
                }
                else {
                    imgurl = 'http://fs.1473.cn/' + headerimg; //否则 使用 1473数据图片
                }
                switch (parseInt(i - 27)) { //为了 防止class  id  的名字重复 利用swicth
                    case 0: en = "one"; break;
                    case 1: en = "two"; break;
                    case 2: en = "three"; break;
                    case 3: en = "four"; break;
                }
                var div_img = $$('div', { 'class': 'ftp_c_l_ja_' + en, onclick: [e, (['disk', index_zx_one[i]])] }, $('.' + name + '_c_l_jafx')) //创建 div
                $$('img', { "src": imgurl }, div_img); //创建头像
                $$('div', { "class": "c_l_img_title", "innerHTML": all }, div_img); //创建标题
                $$('div', { "class": "c_l_img_title_t", "innerHTML": index_zx_one[i].UserName }, div_img); //创建用户名
                $$('div', { "class": "ck_div", "innerHTML": "查看" }, div_img) //创建 查看div
            }
        }
        var most = $$('div', { 'class': 'most_al', 'innerHTML': '更多ftp资源', onclick: [e, (['disk', index_zx_one[i]])] }, $('.' + name + '_c_l_jafx')) //创建 左边 更多XXX div
    }

    //建站DIY
    if (name == "jzdiy") { //如果当前页面是 jzdiy的话
        if ($("#" + name + "_content_left")[0].innerHTML !== "") {//初始化  中部的数据
            $('#' + name + '_content_left')[0].innerHTML = ""; //清空
        }
        var index_zx_one; //创建变量
        index_zx_one = U.A.Request(US.ADMINAUTH,(["GetFilesByTypeId", 6, 1, 14])).value; // 利用 1473接口 获取 数据
        for (var i = 0; i < index_zx_one.length; i++) { //for 循环 将Array 里的每个object  取出来
            var all = index_zx_one[i].UserFilesName; //获取 object 中的 UserFilesName
            if (i < 11) {  //只拿去 10条数据
                if (i == 0) { //只有第一条数据css 不一样
                    var div_ = $$('div', { 'innerHTML': all, 'class': 'jzdiy_c_center_left_one_two', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建div
                }
                else {
                    if (i == 1 || i == 3 || i == 5 || i == 7 || i == 9) {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'jzdiy_c_center_left_one_t_l', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                    else {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'jzdiy_c_center_left_one_t', onclick: [e, (['disk', index_zx_one[i]])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                }
            }
            if (i > 10) {  //生成左边的图片
                var imgh = ""; //创建 变量
                if (index_zx_one[i].UserFilesExtendName == "uw" || index_zx_one[i].UserFilesExtendName !== 'jpg' && index_zx_one[i].UserFilesExtendName !== png) { //如果 左边的图片的格式不对
                    imgh = "img/cloudlogo.png";  //就用自己的图片
                }
                else {
                    imgh = 'http://fs.1473.cn/' + index_zx_one[i].UserFilesExtendName; //否则用 1473的
                }
                var name = html_name; //创建变量
                var byj_ = U.ZX.LessonPlan_arr(name); //创建变量
                $$('div', { 'class': 'byj_left_photo_div', 'id': i + '_left_photo_div', onclick: [e, (['disk', index_zx_one[i]])] }, $('.' + name + '_content_left')[0]); //创建div
                $$('img', { 'src': imgh }, $('#' + i + '_left_photo_div')[0]); //创建头像
                $$('div', { 'innerHTML': index_zx_one[i].UserFilesName }, $('#' + i + '_left_photo_div')[0]); //创建文件名
            }
        }
        var arrt = U.ZX.arr('mb'); //创建变量
        $$('div', { 'innerHTML': '建站diy模板', 'class': 'ftp_c_center_left_one' }, $('#' + name + '_content_center')[0]); //创建div
        for (var m in arrt) { //for循环 进入object 对象 
            var div_ = $$('div', { 'innerHTML': arrt[m].filename, 'class': 'jzdiy_c_center_mb', onclick: [e, (['word', 'word'])] }, $('#' + name + '_content_center')[0]); //创建一个个 div
        }
    }

    //期末总结
    if (name == "qmzj") { //如果页面是 qmzj的话
        if (document.getElementById('qmzj_img_div').children.length !== 0) { //初始化中间数据
            document.getElementById('qmzj_img_div').innerHTML = ""; //清空
        }
        index_zx_one = U.A.Request(US.ADMINAUTH, (["SelectSubjectPost",'cdbe21ce-7155-47f5-beba-bd2356b446a2', '1e0742d8-737e-46e2-b03b-2f23ca8c1f17', '1'])).value; //利用 1473接口获取数据
        for (var i = 0; i < index_zx_one.length; i++) {//for 循环 将Array 里的每个object  取出来
            //console.log(index_zx_one[i].length);
            var all = index_zx_one[i].ArticleTitle; //获取 object 中的 UserFilesName
            if (i < 20) { //获取 20条数据
                if (i == 0 || i == 9 || i == 18) { // 0 9 18条数据 css不一样要分开写
                    if (i == 0) {
                        var img = $$('img', { 'src': "img/cloudlogo.png", onclick: [e, (['pbt', index_zx_one[i].ArticleID])] }, $('#qmzj_img_div')[0]); //创建div
                        $$('div', { 'innerHTML': all }, $('#qmzj_img_div')[0]) //创建div
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'index_c_center_left_one_two', onclick: [e, (['pbt', index_zx_one[i].ArticleID])] }, $('#' + name + '_content_center')[0]); //创建div

                    }
                    else {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'index_c_center_left_one', onclick: [e, (['pbt', index_zx_one[i].ArticleID])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                }
                else {
                    if (i == 1 || i == 3 || i == 5 || i == 7 || i == 10 || i == 12 || i == 14 || i == 16 || i == 19 || i == 21 || i == 23 || i == 25) {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'index_c_center_left_li_three_l', onclick: [e, (['pbt', index_zx_one[i].ArticleID])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                    else {
                        var div_ = $$('div', { 'innerHTML': all, 'class': 'index_c_center_left_li_three', onclick: [e, (['pbt', index_zx_one[i].ArticleID])] }, $('#' + name + '_content_center')[0]); //创建div
                    }
                }
            }
        }
        index_zx_one = U.A.Request(US.ADMINAUTH, (["SelectSubjectPost ",'cdbe21ce-7155-47f5-beba-bd2356b446a2', '1e0742d8-737e-46e2-b03b-2f23ca8c1f17', '2'])).value; //1 只能存储 20条数据 不够 就取2的了 利用 1473接口获取数据
        for (var i = 0; i < index_zx_one.length; i++) { //再一次for循环获取 Array里的object 
            //console.log(index_zx_one[i].length); 
            var all = index_zx_one[i].ArticleTitle; //获取 object 中的 ArticleTitle
            if (i < 8) { //只提取 7条数据
                if (i == 1 || i == 3 || i == 5 || i == 7 || i == 10 || i == 12 || i == 14 || i == 16 || i == 19 || i == 21 || i == 23 || i == 25) {
                    var div_ = $$('div', { 'innerHTML': all, 'class': 'index_c_center_left_li_three_l', onclick: [e, (['pbt', index_zx_one[i].ArticleID])] }, $('#' + name + '_content_center')[0]); //创建div
                }
                else {
                    var div_ = $$('div', { 'innerHTML': all, 'class': 'index_c_center_left_li_three', onclick: [e, (['pbt', index_zx_one[i].ArticleID])] }, $('#' + name + '_content_center')[0]); //创建div
                }
            }
        }
    }
}
function e(t, g) {
    U.PU.WE._tpNewWindow(t, t == "disk" ? U.MS.SerializeJsonToStr(g) : g);
}
//生成需要用到的数组
U.ZX.LessonPlan_arr = function (name) {

    if (name == "gw") {
        var gw_one = ['vetments 卫衣', '￥', '268.00', '月销:99'];
        var gw_two = ['爱丽小屋冰淇淋...', '￥', '108.00', '月销:99'];
        var gw_three = ['YSL圣兰五色...', '￥', '395.00', '月销:89'];
        var gw_four = ['Calbee 卡乐比麦...', '￥', '55.00', '月销:16376'];
        var gw_five = ['Mobb MiNO...', '￥', '95.00', '月销:250'];
        var gw_six = ['卫龙辣条大礼包..', '￥', '55.00', '月销:7029'];
        var gw_senven = ['防弹少年团WIN..', '￥', '128.00', '月销:250'];
        var gw_eight = ['艾斯臣马丁靴...', '￥', '158.00', '月销:4228'];
        var gw_nine = ['VANS 低帮帆布..', '￥', '368.00', '月销:645'];
        var gw_ten = ['彪虎 运动休闲鞋', '￥', '659.00', '月销:6'];
        var all = [gw_one, gw_two, gw_three, gw_four, gw_five, gw_six, gw_senven, gw_eight, gw_nine, gw_ten];
        return all;
    }
}
//生成数据
U.ZX.LessonPlan_build = function (html_name) {
    var name = html_name; //获取当前页面
    var en = ""; //创建变量
    var arr_ = U.ZX.LessonPlan_arr(name);
    //有思文化
    if (name == 'yswh') {
        $('.ys_content_left')[0].innerHTML = ''; //清空 初始化 以免重复生成
        var ys_p_div = $$('div', { "class": "ys_p_div" }, $('.ys_content_left')[0]); //创建div
        $$('img', { "src": "img/ys_p_one.png" }, ys_p_div); //创建img
        $$('img', { "src": "img/ys_p_two.png" }, ys_p_div); //创建img
        $$('img', { "src": "img/ys_p_three.png" }, ys_p_div); //创建img
        $$('div', { "class": "ys_text", "innerHTML": "有思俱乐部，遵守“工学结合，培养技能型人才”的原则，行为纪律统一严格管理，专业技术分 部特色培养。为健全基地管理制度，规范学员行为，加强基地学风建设，优化育人环境，树立良好企业形象，提升学习，工作的效率。学生进入基地参与学习的同时需要参与基地管理，共分为两个中心（技 术中心、服务中心）进行统管，所有进入基地的学生必须进入技术中心的某个部门参与专业技能学习，能力稍强的学生需要同时兼任服务中心的工作。" }, ys_p_div);
        var ys_in = $$('div', { "class": "ys_in" }, ys_p_div); //创建div
        var inz = $$('a', { "innerHTML": "进入", "target": "_blank", href: "http://home.1473.cn" }, ys_in); //创建div

        $$('div', { "class": "ys_bottom_title", "innerHTML": "学生风采" }, ys_p_div); //创建div
        $$('div', { "class": "ys_bottom_text", "innerHTML": "学院学生的比赛成绩和荣誉奖项" }, ys_p_div); //创建div
        var ys_bottom_j_div = $$('div', { "class": "ys_bottom_j_div" }, ys_p_div); //创建div
        var ys_b_j_left = $$('div', { "class": "ys_b_j_left", "id": "ys_b_j_left" }, ys_bottom_j_div); //创建div
        $$('img', { "src": "img/ys_bottom_left_btn.png" }, ys_b_j_left); //创建img
        var ys_b_jj_div = $$('div', { "class": "ys_b_jj_div", "id": "ys_b_jj_div" }, ys_bottom_j_div); //创建div
        for (i = 0; i < 3; i++) { //for循环创建
            var ys_b_jj_show = $$('div', { "class": "ys_b_jj_show" }, ys_b_jj_div); //创建div
            $$('img', { "src": "img/ys_b_jj_one.png" }, ys_b_jj_show); //创建img 
            $$('img', { "src": "img/ys_b_jj_two.png" }, ys_b_jj_show); //创建img
            if (i === 0) {
                //让第一个显示出来
                ys_b_jj_show.style.cssText = "display:block;"
            }
        }
        var ys_b_j_right = $$('div', { "class": "ys_b_j_right", "id": "ys_b_j_right" }, ys_bottom_j_div); //创建div
        $$('img', { "src": "img/ys_bottom_right_btn.png" }, ys_b_j_right); //创建img
        $$('div', { "class": "ys_lx_p_l", "innerHTML": "联系电话：沈同学 13751117528" }, ys_p_div); //创建div
        $$('div', { "class": "ys_lx_p_r", "innerHTML": "电子邮箱：3444622570、@qq.com" }, ys_p_div); //创建div

        return; //返回
    }
}
U.ZX.Browser = function () {
    var os = navigator.platform;
    var userAgent = navigator.userAgent;
    var info = "";
    var tempArray = "";
    //判断操作系统  
    if (os.indexOf("Win") > -1) {
        if (userAgent.indexOf("Windows NT 5.0") > -1) {
            info += "Win2000";
        } else if (userAgent.indexOf("Windows NT 5.1") > -1) {
            info += "WinXP";
        } else if (userAgent.indexOf("Windows NT 5.2") > -1) {
            info += "Win2003";
        } else if (userAgent.indexOf("Windows NT 6.0") > -1) {
            info += "WindowsVista";
        } else if (userAgent.indexOf("Windows NT 6.1") > -1 || userAgent.indexOf("Windows 7") > -1) {
            info += "Win7";
        } else if (userAgent.indexOf("Windows NT 6.2") > -1 || userAgent.indexOf("Windows 8") > -1) {
            info += "Win8";
        } else if (userAgent.indexOf("Windows NT 6.3") > -1 || userAgent.indexOf("Windows 8.1") > -1) {
            info += "Win8.1";
        } else if (userAgent.indexOf("Windows NT 10.0") > -1 || userAgent.indexOf("Windows 10") > -1) {
            info += "Win10";
        }
        else {
            info += "Other";
        }
    } else if (os.indexOf("Mac") > -1) {
        info += "Mac";
    } else if (os.indexOf("X11") > -1) {
        info += "Unix";
    } else if (os.indexOf("Linux") > -1) {
        info += "Linux";
    } else {
        info += "Other";
    }
    info += "/";


    //判断浏览器版本  
    var isOpera = userAgent.indexOf("Opera") > -1; //判断是否Opera浏览器  
    var isIE = userAgent.indexOf("compatible") > -1 && userAgent.indexOf("MSIE") > -1 && !isOpera; //判断是否IE浏览器  
    var isEdge = userAgent.toLowerCase().indexOf("edge") > -1 && !isIE; //判断是否IE的Edge浏览器  
    var isIE11 = (userAgent.toLowerCase().indexOf("trident") > -1 && userAgent.indexOf("rv") > -1);

    if (/[Ff]irefox(\/\d+\.\d+)/.test(userAgent)) {
        tempArray = /([Ff]irefox)\/(\d+\.\d+)/.exec(userAgent);
        info += tempArray[1] + tempArray[2];
    } else if (isIE) {

        var version = "";
        var reIE = new RegExp("MSIE (\\d+\\.\\d+);");
        reIE.test(userAgent);
        var fIEVersion = parseFloat(RegExp["$1"]);
        if (fIEVersion == 7)
        { version = "IE7"; }
        else if (fIEVersion == 8)
        { version = "IE8"; }
        else if (fIEVersion == 9)
        { version = "IE9"; }
        else if (fIEVersion == 10)
        { version = "IE10"; }
        else
        { version = "0" }

        info += version;

    } else if (isEdge) {
        info += "Edge";
    } else if (isIE11) {
        info += "IE11";
    } else if (/[Cc]hrome\/\d+/.test(userAgent)) {
        tempArray = /([Cc]hrome)\/(\d+)/.exec(userAgent);
        info += tempArray[1] + tempArray[2];
    } else if (/[Vv]ersion\/\d+\.\d+\.\d+(\.\d)* *[Ss]afari/.test(userAgent)) {
        tempArray = /[Vv]ersion\/(\d+\.\d+\.\d+)(\.\d)* *([Ss]afari)/.exec(userAgent);
        info += tempArray[3] + tempArray[1];
    } else if (/[Oo]pera.+[Vv]ersion\/\d+\.\d+/.test(userAgent)) {
        tempArray = /([Oo]pera).+[Vv]ersion\/(\d+)\.\d+/.exec(userAgent);
        info += tempArray[1] + tempArray[2];
    } else {
        info += "unknown";
    }
    return info;
}